Bug 1547986 - unqualified search on hostgroup uses large amount of memory
Summary: unqualified search on hostgroup uses large amount of memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.2.14
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-22 13:33 UTC by Chris Duryee
Modified: 2019-09-26 16:09 UTC (History)
5 users (show)

Fixed In Version: foreman-1.11.0.89-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1553880 1553881 (view as bug list)
Environment:
Last Closed: 2018-05-21 20:16:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 22642 None None None 2018-02-22 16:09:04 UTC
Foreman Issue Tracker 22644 None None None 2018-02-23 07:21:41 UTC
Red Hat Product Errata RHBA-2018:1672 None None None 2018-05-21 20:17:13 UTC

Description Chris Duryee 2018-02-22 13:33:26 UTC
Description of problem:

If you have a large number of hostgroups, an unqualified hostgroup search may consume a large amount of memory.

This bug has similar repro steps and symptoms to #1462350. The memory growth as not as severe as it was in 1462350 but can still OOM a system if there are enough passenger processes.

Version-Release number of selected component (if applicable): 6.2.14

Comment 1 Tomer Brisker 2018-02-22 16:09:01 UTC
Connecting redmine issue http://projects.theforeman.org/issues/22642 from this bug

Comment 2 pm-sat@redhat.com 2018-02-22 17:12:49 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22642 has been resolved.

Comment 3 Marek Hulan 2018-02-23 07:21:42 UTC
linking also second bug that does not cause such memory consumption but should be probably applied at the same time

Comment 6 Peter Ondrejka 2018-04-23 11:38:08 UTC
Verified on satellite-6.2.15-1.0.el6sat.noarch, no significant spike recorded when doing an unqualified search on 300+ hostgroups

Comment 11 errata-xmlrpc 2018-05-21 20:16:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1672


Note You need to log in before you can comment on or make changes to this bug.